# TdApi.UpdateFileGenerationStart (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: UpdateFileGenerationStart

Package it.tdlight.jni

# Class TdApi.UpdateFileGenerationStart

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateFileGenerationStart

Enclosing class:
  TdApi

    public static class TdApi.UpdateFileGenerationStart
    extends TdApi.Update

The file generation process needs to be started by the application.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`String` | `conversion` | String specifying the conversion applied to the original file.
`String` | `destinationPath` | The path to a file that must be created and where the new file is generated.
`long` | `generationId` | Unique identifier for the generation process.
`String` | `originalPath` | The path to a file from which a new file is generated; may be empty.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`UpdateFileGenerationStart()` | The file generation process needs to be started by the application.
`UpdateFileGenerationStart​(long generationId, String originalPath, String destinationPath, String conversion)` | The file generation process needs to be started by the application.
`UpdateFileGenerationStart​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### generationId

public long generationId
Unique identifier for the generation process.

### originalPath

public String originalPath
The path to a file from which a new file is generated; may be empty.

### destinationPath

public String destinationPath
The path to a file that must be created and where the new file is generated.

### conversion

public String conversion
String specifying the conversion applied to the original file. If conversion is "#url#" than originalPath contains an HTTP/HTTPS URL of a file, which must be downloaded by the application.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### UpdateFileGenerationStart

public UpdateFileGenerationStart()
The file generation process needs to be started by the application.

### UpdateFileGenerationStart

public UpdateFileGenerationStart​(long generationId, String originalPath, String destinationPath, String conversion)
The file generation process needs to be started by the application.

Parameters:
  `generationId` - long Unique identifier for the generation process.
  `originalPath` - String The path to a file from which a new file is generated; may be empty.
  `destinationPath` - String The path to a file that must be created and where the new file is generated.
  `conversion` - String String specifying the conversion applied to the original file. If conversion is "#url#" than originalPath contains an HTTP/HTTPS URL of a file, which must be downloaded by the application.

### UpdateFileGenerationStart

public UpdateFileGenerationStart​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`